# https://support.rstudio.com/hc/en-us/articles/200484448-Editing-and-Executing-Code pour les commandes (tab pour autocomplétion, )

# On peut charger le fichier en utilisant la commande Import Dataset dans l'onglet Environment sur la partie supérieure droite de la GUI,
# mais on peut aussi faire de la manière ci-dessous. Attention, dans l'autre cas, le nom pour le set de données serait différent.
emissions <- read.csv(file="D:/Projets/Livre ENI Open Data/Fichiers pollution/mars-2014-complete.csv", header=TRUE, sep=";", dec=",")

# Affichage des colonnes
str(emissions)
# Affichage des stats de base sur les colonnes
summary(emissions)
# Affichage du tableau de valeurs
View(emissions)
# Ne fonctionne pas
quantile(emissions$conso_urb)
# Donne l'explication du fait que la précédente ligne ne fonctionne pas : il y a des NA
summary(emissions$conso_urb)
# Cette approche permet de supprimer les NA en créant un autre dataset sur lequel on pourra bosser ensuite
em <- subset(emissions, !is.null(conso_urb))
# Et sinon, on peut aussi faire comme dit l'erreur, en abandonnant ce qui ne fonctionne pas sur le dataset de base nommé emissions
quantile(emissions$conso_urb, na.rm=TRUE)

# On commence sans faire de différence entre les diesel et les essences
plot(x = emissions$puiss_max, y = emissions$co2) # Simple graphique dans un premier temps
hist(emissions$puiss_admin_98) # Histogramme de distribution des valeurs

# Chargement des librairies, qu'on peut aussi réaliser depuis l'onglet Package sur la partie inférieure droite de la GUI
library("rgl", lib.loc="C:/Users/jpgou_000/Documents/R/win-library/3.1")
library("car", lib.loc="C:/Users/jpgou_000/Documents/R/win-library/3.1")

# ATTENTION ASSEZ LONG : ce qui nous permet de lancer un scatterplot carrément plus costaud
scatterplot(emissions$co2 ~ emissions$puiss_max, xlab="Puissance max", ylab="CO² émis", main="Analyse émission CO² par rapport à la puissance")

# ATTENTION TELLEMENT LONG QUE COMMENTE PAR DEFAUT : lancer une matrice avec des scatterplot de toutes les entrées les unes associéées aux autres
#scatterplot.matrix(~emissions$co2+emissions$nox+emissions$puiss_max+emissions$puiss_admin_98)

#=====================================================================================================
# ON COMMENCE PAR BOSSER SUR UN SUBSET CONCERNANT LES ALFA-ROMEO, POUR ALLER PLUS VITE DANS LES TESTS
#=====================================================================================================
alfa <- subset(emissions, lib_mrq=="ALFA-ROMEO")
attach(alfa) # Permet de ne pas avoir à taper alfa$ devant toutes les colonnes (sauf co2, comme le dit le message, car utilisé ailleurs)
plot(puiss_max, alfa$co2, main="Regression", xlab="Puissance max", ylab="CO² émis", pch=19)
abline(lm(alfa$co2~puiss_max), col="red")
lines(lowess(puiss_max, alfa$co2), col="blue")
cor(alfa$puiss_max, alfa$co2) # Assez élevé : vaut 0.74

#================================================================================================================
# ON REVIENT ENSUITE A UN SUBSET DE L'ENSEMBLE, MAIS EN ENLEVANT LES DONNEES NA QUI GENAIENT POUR LA CORRELATION
#================================================================================================================
tout <- subset(emissions, !is.na(conso_urb) & !is.na(puiss_max) & !is.na(co2))
detach(alfa) # Ne pas oublier de détacher le précédent avant de rattacher la ligne suivante, sinon tout sera vu comme non déterministe
attach(tout)
cor(puiss_max, tout$co2) # Bien plus bas que pour les Alfa, à 0.35, mais c'est peut-être parce que presque toutes les Alfa étaient des essences ?

essence <- subset(tout, cod_cbr=="ES")
diesel <- subset(tout, cod_cbr=="GO")
cor(essence$puiss_max, essence$co2)
cor(diesel$puiss_max, diesel$co2)

scatterplot(essence$co2 ~ essence$puiss_max, xlab="Puissance max", ylab="CO² émis", main="Analyse émission CO² par rapport à la puissance (ESSENCE)")
scatterplot(diesel$co2 ~ diesel$puiss_max, xlab="Puissance max", ylab="CO² émis", main="Analyse émission CO² par rapport à la puissance (DIESEL)")
